# Uses of Class
org.italiangrid.voms.ac.ACParsingContext

Packages that use ACParsingContext
Package
Description
org.italiangrid.voms.ac
This package provides the APIs to perform validation and parsing of VOMS attributes.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.

## Uses of ACParsingContext in org.italiangrid.voms.ac

Methods in org.italiangrid.voms.ac that return types with arguments of type ACParsingContext
Modifier and Type
Method
Description
`List<ACParsingContext>`
VOMSACLookupStrategy.`lookupVOMSAttributeCertificates(X509Certificate[] certChain)`
This method defines how a set of VOMS Attribute Certificates is looked for in a certificate chain.
Method parameters in org.italiangrid.voms.ac with type arguments of type ACParsingContext
Modifier and Type
Method
Description
`List<VOMSAttribute>`
VOMSAttributesNormalizationStrategy.`normalizeAttributes(List<ACParsingContext> acs)`
Returns the normalized view of VOMS Authorization information starting from a list of VOMS Attribute certificates.

## Uses of ACParsingContext in org.italiangrid.voms.ac.impl

Methods in org.italiangrid.voms.ac.impl that return types with arguments of type ACParsingContext
Modifier and Type
Method
Description
`List<ACParsingContext>`
LeafACLookupStrategy.`lookupVOMSAttributeCertificates(X509Certificate[] certChain)`
Method parameters in org.italiangrid.voms.ac.impl with type arguments of type ACParsingContext
Modifier and Type
Method
Description
`List<VOMSAttribute>`
LeafVOMSExtensionNormalizationStrategy.`normalizeAttributes(List<ACParsingContext> acs)`